Browse Source

Fix requirements to unblock gate

Something went sideways with flake8 recently with regards to pep257
(whitespace checks). This patch updates the flake8 requirement and
disables pep257 checks to unblock the gate.

Change-Id: I139c902a4d95a21a2dcac8dcf65a85455f7331ec
Major Hayden 2 years ago
parent
commit
cf4a71bfee
No account linked to committer's email address
2 changed files with 3 additions and 3 deletions
  1. 3
    1
      test-requirements.txt
  2. 0
    2
      tox.ini

+ 3
- 1
test-requirements.txt View File

@@ -2,7 +2,9 @@
2 2
 # of appearance. Changing the order has an impact on the overall integration
3 3
 # process, which may cause wedges in the gate later.
4 4
 bashate>=0.2 # Apache-2.0
5
-flake8<2.6.0,>=2.5.4 # MIT
5
+flake8>=2.5.4,<2.6.0  # MIT
6
+flake8_docstrings==0.2.1.post1  # MIT
7
+flake8-import-order==0.11 # LGPLv3
6 8
 mock>=2.0  # BSD
7 9
 
8 10
 # this is required for the docs build jobs

+ 0
- 2
tox.ini View File

@@ -55,7 +55,6 @@ commands =
55 55
 deps =
56 56
     flake8
57 57
     flake8-import-order
58
-    flake8-docstrings
59 58
     pep8-naming
60 59
 commands =
61 60
     flake8 .
@@ -65,7 +64,6 @@ basepython = python3.3
65 64
 deps =
66 65
     flake8
67 66
     flake8-import-order
68
-    flake8-docstrings
69 67
     pep8-naming
70 68
 commands =
71 69
     flake8 .

Loading…
Cancel
Save